Package org.apache.sling.junit.remote.testrunner

# Interface SlingRemoteTestParameters

public interface SlingRemoteTestParameters
Test class "proxies" implement this to indicate where to run the tests.

## Method Summary

Modifier and Type
Method
Description
`String`
`getJunitServletUrl()`
Return the URL of the JUnit servlet
`String`
`getTestClassesSelector()`
Return the optional selector for the test classes to run, for example "org.apache.sling.testing.samples.sampletests.JUnit4Test"
`String`
`getTestMethodSelector()`
Return the optional selector for the test methods to run, for example "someMethodName"

## Method Details

### getJunitServletUrl

String getJunitServletUrl()
Return the URL of the JUnit servlet

### getTestClassesSelector

String getTestClassesSelector()
Return the optional selector for the test classes to run, for example "org.apache.sling.testing.samples.sampletests.JUnit4Test"

### getTestMethodSelector

String getTestMethodSelector()
Return the optional selector for the test methods to run, for example "someMethodName"